> For the complete documentation index, see [llms.txt](https://developers.bloomcredit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.bloomcredit.io/reference/consumer-permissioned-data/append-processor-tokens-to-an-existing-invite.md).

# Append processor tokens to an existing invite

## Append processor tokens to an existing invite

> Adds processor tokens to an existing unused invite token for the given email. The invite token must exist and not be used or expired. Maximum 25 tokens per email.

```json
{"openapi":"3.1.0","info":{"title":"Append processor tokens to an existing invite","version":"2.0"},"tags":[{"name":"Append processor tokens to an existing invite"}],"servers":[{"description":"Furnishment sandbox server, for testing purposes (v2)","url":"https://sandbox.bloom.dev"},{"description":"Furnishment server","url":"https://api.bloomcredit.io"},{"description":"Production Consumer Permissioned Data server","url":"https://api.bloomplus.com"},{"description":"Development Consumer Permissioned Data server","url":"https://api.bloomplus.dev"}],"paths":{"/v2/invite-tokens/processor-tokens":{"patch":{"description":"Adds processor tokens to an existing unused invite token for the given email. The invite token must exist and not be used or expired. Maximum 25 tokens per email.","operationId":"appendProcessorTokens","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppendProcessorTokensRequestBody"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppendProcessorTokensResponseBody"}}},"description":"OK"},"400":{"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}},"description":"Bad Request"},"401":{"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}},"description":"Unauthorized"},"404":{"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}},"description":"Not Found"},"409":{"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}},"description":"Conflict"},"422":{"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}},"description":"Unprocessable Entity"},"500":{"content":{"application/problem+json":{"schema":{"$ref":"#/components/schemas/ErrorModel"}}},"description":"Internal Server Error"}},"summary":"Append processor tokens to an existing invite","tags":["Append processor tokens to an existing invite"]}}},"components":{"schemas":{"AppendProcessorTokensRequestBody":{"additionalProperties":false,"properties":{"$schema":{"description":"A URL to the JSON Schema for this object.","format":"uri","readOnly":true,"type":"string"},"email":{"description":"Email address of the existing invite token","format":"email","type":"string"},"processor_tokens":{"description":"Processor tokens to append to the existing invite","items":{"type":"string"},"maxItems":25,"minItems":1,"type":["array","null"]}},"required":["email","processor_tokens"],"type":"object"},"AppendProcessorTokensResponseBody":{"additionalProperties":false,"properties":{"$schema":{"description":"A URL to the JSON Schema for this object.","format":"uri","readOnly":true,"type":"string"},"email":{"description":"Email address of the invite token","type":"string"},"processor_tokens":{"description":"Full list of processor tokens after the append","items":{"type":"string"},"type":["array","null"]}},"required":["email","processor_tokens"],"type":"object"},"ErrorModel":{"additionalProperties":false,"properties":{"$schema":{"description":"A URL to the JSON Schema for this object.","format":"uri","readOnly":true,"type":"string"},"detail":{"description":"A human-readable explanation specific to this occurrence of the problem.","type":"string"},"errors":{"description":"Optional list of individual error details","items":{"$ref":"#/components/schemas/ErrorDetail"},"type":["array","null"]},"instance":{"description":"A URI reference that identifies the specific occurrence of the problem.","format":"uri","type":"string"},"status":{"description":"HTTP status code","format":"int64","type":"integer"},"title":{"description":"A short, human-readable summary of the problem type. This value should not change between occurrences of the error.","type":"string"},"type":{"default":"about:blank","description":"A URI reference to human-readable documentation for the error.","format":"uri","type":"string"}},"type":"object"},"ErrorDetail":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string"},"message":{"description":"Error message text","type":"string"},"value":{"description":"The value at the given location"}},"type":"object"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.bloomcredit.io/reference/consumer-permissioned-data/append-processor-tokens-to-an-existing-invite.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
